## Index

### Interfaces

- IndexData

### Functions

- initOrUpdateGSI
- initOrUpdateIndex
- initOrUpdateLSI

## Functions

### initOrUpdateGSI

- initOrUpdateGSI(indexes: Record<string, DynamoDB.KeyType>, indexData: IndexData): Partial<PropertyMetadata<any>>

- - Defined in decorator/impl/index/util.ts:37

  #### Parameters

  - ##### indexes: Record<string, DynamoDB.KeyType>

  - ##### indexData: IndexData

  #### Returns Partial<PropertyMetadata<any>>

### initOrUpdateIndex

- initOrUpdateIndex(indexType: IndexType, indexData: IndexData, target: any, propertyKey: string): void

- - Defined in decorator/impl/index/util.ts:12

  #### Parameters

  - ##### indexType: IndexType

  - ##### indexData: IndexData

  - ##### target: any

  - ##### propertyKey: string

  #### Returns void

### initOrUpdateLSI

- initOrUpdateLSI(indexes: string[], indexData: IndexData): Partial<PropertyMetadata<any>>

- - Defined in decorator/impl/index/util.ts:53

  #### Parameters

  - ##### indexes: string[]

  - ##### indexData: IndexData

  #### Returns Partial<PropertyMetadata<any>>

Generated using TypeDoc